<div class="consent">
  <app-content-banner [isDashboard]="false" pageName="Consent" [isTutorialRequired]="true"
    [TutorialPageName]="'consent'"></app-content-banner>
  <mat-card class="consent-main-card mat-elevation-z0">
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="consentSearchTabChange()">
        <!--Consent Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Consent</span>
          </ng-template>
          <ng-template matTabContent>
            <!-- Referring Agency/Site Card-->
            <mat-card class="mat-elevation-z0">
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <form [formGroup]="consentGroup" class="section consent-form">
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="housing-label" fxLayout="column">
                        <mat-label>Referring Agency :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                        {{ agencyName }}
                      </div>
                      <div class="housing-label" fxLayout="column">
                        <mat-label>Date/Time Entered : </mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                        {{ dateEntered }}
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="housing-label" fxLayout="column">
                        <mat-label class="red-label">Referring Site :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="referringSiteCtrl" placeholder="Select"
                            (selectionChange)="onReferringSiteChange()" matTooltip="{{ getSiteForToolTip() }}"
                            matTooltipPosition="above" matTooltipClass="consent-tooltip">
                            <mat-option *ngFor="let site of sites" [value]="site.siteId">
                              {{ site.siteNo + " - " + site.name }}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                      <div class="housing-label" fxLayout="column">
                        <mat-label>Entered By :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                        {{ enteredBy }}
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="housing-label" fxLayout="column">
                        <mat-label class="red-label">Housing Program :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                        <mat-form-field appearance="outline" style="width: 80%">
                          <mat-select formControlName="housingProgramsCtrl" placeholder="Select">
                            <mat-option *ngFor="let program of housingPrograms" [value]="program.refGroupDetailID">
                              {{ program.refGroupDetailDescription }}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                      <div class="housing-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="housing-field" fxLayout="column">
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
            <!-- Consent Card-->
            <mat-card class="mat-elevation-z0">
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4 consentBackGround">
                  <form [formGroup]="consentGroup" class="section consent-form">
                    <div fxLayout="row" fxLayout.lt-md="column" class="justify">
                      <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                        <span class="consentButtonSize">Consent</span>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column" class="justify">
                      <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                        <button type="button" mat-raised-button color="primary" matTooltip="Show Consent Forms"
                          matTooltipClass="consent-tooltip" (click)="openConsentFormsDialog()">Consent Forms</button>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div fxLayout="column" fxLayoutAlign="start" style="margin-left: 2%">
                        <mat-checkbox class="consent-margin" formControlName="isConsentCtrl"
                          (change)="onIsConsentCheckChange($event)"></mat-checkbox>
                      </div>
                      &nbsp;&nbsp;
                      <div fxLayout="column" fxLayoutAlign="start">
                        <span class="verifyCheck">
                          *
                        </span>
                      </div>
                      &nbsp;&nbsp;
                      <div fxLayout="column" fxLayoutAlign="start" class="align-center" style="margin-right: 2%">
                        <span class="verifyCheck">
                          I verify the applicant has signed the "New York City Human Resources Administration HIPAA
                          Compliant <b>Authorization for Disclosure of Individual Health Information</b> and
                          Medicaid Records for the Coordinated Assessment Survey and/or Supportive Housing
                          Application” and the “New York City Human Resources Administration Authorization for the
                          Coordinated Assessment Survey (CAS) and/or Supportive Housing Application" consents.
                          I also verify that these two consents have been signed within the last 180 days
                          authorizing the release of the applicant’s health information, including his or her
                          medical, mental health, HIV-related, alcohol and substance use treatment, Cash Assistance,
                          Supplemental Nutritional Assistance Program and prior supportive housing/coordinated
                          assessment records and that my agency has on file the original form signed by the
                          applicant.
                        </span>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Consent Date :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-date-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput [matDatepicker]="picker" formControlName="consentDateCtrl" dateOnly
                            placeholder="MM/DD/YYYY" [min]="consentMinDate" [max]="now" maxlength="10">
                          <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
                          </mat-icon>
                          <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                      </div>
                      <div class="consent-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-label" fxLayout="column">
                        <mat-label>Verified By :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="location-field" fxLayout="column">
                        <div *ngIf="isConsent">
                          {{ consentBy }}
                        </div>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Location Kept :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="location-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput name="locationKept" formControlName="locationKeptCtrl" required maxlength="50"
                            minlength="2">
                        </mat-form-field>
                      </div>
                      &nbsp;
                      <div class="location-label" fxLayout="column" style="justify-content: flex-end;">
                        <mat-icon style="width:0; font-size: 20px; align-self: center; margin-top: 7px;"
                          matTooltip="Please designate whether the consent is located Onsite or specify the Address of other location."
                          matTooltipPosition="above" matTooltipClass="consent-tooltip">
                          info
                        </mat-icon>
                      </div>
                      <div class="consent-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
            <!-- Client Demographic Card-->
            <mat-card class="mat-elevation-z0">
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <form [formGroup]="consentGroup" class="section consent-form">
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">First Name :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput name="firstName" formControlName="firstNameCtrl" required maxlength="50"
                            minlength="2">
                        </mat-form-field>
                      </div>
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Last Name :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput name="lastName" formControlName="lastNameCtrl" required maxlength="50"
                            minlength="2">
                        </mat-form-field>
                      </div>
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Social Security # :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput name="ssn" formControlName="ssnCtrl" mask="000-00-0000" required
                            [showMaskTyped]="true">
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap">
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Date of Birth :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input type="text" matInput formControlName="dobCtrl" (change)="calculateAge()" required
                            [textMask]="mask" placeholder="MM/DD/YYYY">
                        </mat-form-field>
                      </div>
                      <div class="consent-label" fxLayout="column">
                        <mat-label>Age :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        {{ clientAgeInYears }}
                      </div>
                      <div class="consent-label" fxLayout="column">
                        <mat-label class="red-label">Gender :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="genderCtrl" placeholder="Select">
                            <mat-option *ngFor="let gender of genders" [value]="gender.refGroupDetailID">
                              {{ gender.refGroupDetailDescription }}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap">
                      <div class="consent-label" fxLayout="column">
                        <mat-label>CIN (or) Medicaid # :</mat-label>
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                        <mat-form-field appearance="outline">
                          <input matInput name="cinmedicaid" formControlName="cinMedicaidCtrl" maxlength="8"
                            minlength="2" mask="SS00000S">
                        </mat-form-field>
                      </div>
                      <div class="consent-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                      </div>
                      <div class="consent-label" fxLayout="column">
                      </div>
                      &nbsp;&nbsp;
                      <div class="consent-field" fxLayout="column">
                      </div>
                    </div>
                    <div *ngIf="!isSearch">
                      <div fxLayout="row" fxLayout.lt-md="column" class="justify">
                        <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                          <button type="button" mat-raised-button color="primary" matTooltip="Search Client"
                            matTooltipClass="consent-tooltip" (click)="clientSearch()">Search</button>
                        </div>
                      </div>
                    </div>
                    <div *ngIf="isSearch">
                      <div fxLayout="row" fxLayout.lt-md="column" class="justify">
                        <div *ngIf="showCreateandClearButton">
                          <div fxLayout="column" class="align-center">
                            <button type="button" mat-raised-button color="primary" matTooltip="Clear Search"
                              matTooltipClass="consent-tooltip" (click)="clearSearch()">Clear Search</button>
                          </div>
                        </div>
                        &nbsp;&nbsp;
                        <div fxLayout="column" class="align-center">
                          <button type="button" mat-raised-button color="primary" matTooltip="Next"
                            matTooltipClass="consent-tooltip" (click)="nextTab()">Next</button>
                        </div>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <div *ngIf="isSearch">
          <div *ngIf="isAssessment && capsReportId">
            <!--Survey Report Tab-->
            <mat-tab>
              <ng-template matTabLabel>
                <span>Survey Report</span>
              </ng-template>
              <ng-template matTabContent>
                <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                  <div class="consent-container mat-elevation-z4">
                    <mat-card class="mat-elevation-z0">
                      <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                        <div class="consent-container mat-elevation-z4">
                          <form class="section">
                            <iframe width="100%" height="100%" style="height: 500px!important; margin-bottom: 10px"
                              [src]="capsReportURL" *ngIf="capsReportURL" tabindex="1">
                            </iframe>
                            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
                              <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                                <button type="button" mat-raised-button color="primary" matTooltip="Previous"
                                  matTooltipClass="consent-tooltip" (click)="previousTab()">Previous</button>
                              </div>
                              &nbsp;&nbsp;
                              <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                                <button type="button" mat-raised-button color="primary" matTooltip="Next"
                                  matTooltipClass="consent-tooltip" (click)="nextTab()">Next</button>
                              </div>
                            </div>
                          </form>
                        </div>
                      </div>
                    </mat-card>
                  </div>
                </div>
              </ng-template>
            </mat-tab>
          </div>
          <!--Client Documents Tab-->
          <mat-tab>
            <ng-template matTabLabel>
              <span>Client Documents</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <mat-card class="mat-elevation-z0">
                    <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                      <div class="consent-container mat-elevation-z4">
                        <form class="section">
                          <app-client-documents [clientDocumentsData]="clientDocumentsData" style="width: 100%">
                          </app-client-documents>
                          <br>
                          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Previous"
                                matTooltipClass="consent-tooltip" (click)="previousTab()">Previous</button>
                            </div>
                            &nbsp;&nbsp;
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Next"
                                matTooltipClass="consent-tooltip" (click)="nextTab()">Next</button>
                            </div>
                          </div>
                        </form>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </div>
            </ng-template>
          </mat-tab>
          <!--Prior Supportive Housing Tab-->
          <mat-tab>
            <ng-template matTabLabel>
              <span>Prior Supportive Housing</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <mat-card class="mat-elevation-z0">
                    <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                      <div class="consent-container mat-elevation-z4">
                        <form class="section">
                          <app-prior-supportive-housing-applications
                            [priorSupportiveHousingApplicationInput]="priorSupportiveHousingApplicationInput">
                          </app-prior-supportive-housing-applications>
                          <br>
                          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Previous"
                                matTooltipClass="consent-tooltip" (click)="previousTab()">Previous</button>
                            </div>
                            &nbsp;&nbsp;
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Next"
                                matTooltipClass="consent-tooltip" (click)="nextTab()">Next</button>
                            </div>
                          </div>
                        </form>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </div>
            </ng-template>
          </mat-tab>
          <!--Application Type Tab-->
          <mat-tab>
            <ng-template matTabLabel>
              <span>Application Type</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <mat-card class="mat-elevation-z0">
                    <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                      <div class="consent-container mat-elevation-z4">
                        <form [formGroup]="applicationTypeGroup" class="section">
                          <div fxLayout="row" fxLayout.lt-md="column" class="client-banner">
                            <span fxLayout="row">
                              <span>
                                <b>
                                  Social Security # :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.ssn | mask: '000-00-0000' }}
                                </span>
                              </span>
                              <span>
                                <b>
                                  Date of Birth :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.dob }}
                                </span>
                              </span>
                              <span>
                                <b>
                                  Name :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.lastName + ", " + clientDocumentsData.firstName | uppercase }}
                                </span>
                              </span>
                            </span>
                          </div>
                          <div class="appl-type">
                            <div fxLayout="row" fxLayout.lt-md="column">
                              <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                                <mat-label class="red-label">Select Application Type for the Client :</mat-label>
                              </div>
                              &nbsp;&nbsp;
                              <div fxLayout="column" fxLayoutAlign="start" class="align-center" style="width: 30%">
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="applicationTypeCtrl" placeholder="Select"
                                    (selectionChange)="onApplicationTypeChange($event)">
                                    <mat-option *ngFor="let appType of applicationTypes"
                                      [value]="appType.refGroupDetailID">
                                      {{appType.refGroupDetailDescription}}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                            </div>
                            <div *ngIf="applicationTypeValue > 0">
                              <br>
                              <div fxLayout="row" fxLayout.lt-md="column">
                                <div fxLayout="column" class="align-center">
                                  <span class="verifyCheck">
                                    Check all types of supportive housing the Applicant is applying for (at least one
                                    must be checked). To see the description and criteria for each supportive housing
                                    category <a href="./assets/documents/SupHousing_Descriptions_Criteria.pdf"
                                      target="_blank">click here</a>.
                                  </span>
                                </div>
                              </div>
                              <br>
                              <div fxLayout="row" fxLayout.lt-md="column">
                                <div fxLayout="column" class="align-center">
                                  <mat-checkbox *ngFor="let supportiveHousingType of filteredSupportiveHousingType"
                                    [disabled]="isSupportiveHousingTypeDisabled == true ? true : isIah == true && supportiveHousingType.refGroupDetailID == '62' ? true : false"
                                    [checked]="supportiveHousingTypesArray.indexOf(supportiveHousingType.refGroupDetailID) >= 0 ? true : false"
                                    (change)="onSupportiveHousingTypesCheckChange($event, supportiveHousingType.refGroupDetailID)">
                                    {{ supportiveHousingType.refGroupDetailDescription }}
                                    <div class="mat-form-field-flex" style="vertical-align: middle; width: 0px;"
                                      *ngIf="supportiveHousingType.refGroupDetailID == 69 || supportiveHousingType.refGroupDetailID == 70">
                                      <mat-icon style="width:0; font-size: 20px"
                                        matTooltip="For this type, the applicant must be chronically homeless or at serious risk of being chronically homeless."
                                        matTooltipPosition="above" matTooltipClass="consent-tooltip">
                                        info
                                      </mat-icon>
                                    </div>
                                  </mat-checkbox>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
                            <div fxLayout="column" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Previous"
                                matTooltipClass="consent-tooltip" (click)="previousTab()">Previous</button>
                            </div>
                            &nbsp;&nbsp;
                            <div *ngIf="showCreateandClearButton; else showNextButton">
                              <div fxLayout="column" class="align-center">
                                <button type="button" mat-raised-button color="primary"
                                  matTooltip="NYC Supportive Housing Application" matTooltipClass="consent-tooltip"
                                  (click)="createApplication()">Create</button>
                              </div>
                            </div>
                            <ng-template #showNextButton>
                              <div fxLayout="column" class="align-center">
                                <button type="button" mat-raised-button color="primary" matTooltip="Next"
                                  matTooltipClass="consent-tooltip" (click)="nextTab()">Next</button>
                              </div>
                            </ng-template>
                          </div>
                        </form>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </div>
            </ng-template>
          </mat-tab>
        </div>
        <div *ngIf="isApplication">
          <mat-tab>
            <ng-template matTabLabel>
              <span>Consent Forms</span>
            </ng-template>
            <ng-template matTabContent>
              <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                <div class="consent-container mat-elevation-z4">
                  <mat-card class="mat-elevation-z0">
                    <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                      <div class="consent-container mat-elevation-z4">
                        <form class="section">
                          <div fxLayout="row" fxLayout.lt-md="column" class="client-banner">
                            <span fxLayout="row">
                              <span>
                                <b>
                                  Application # :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ pactApplicationId }}
                                </span>
                              </span>
                              <span>
                                <b>
                                  Social Security # :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.ssn | mask: '000-00-0000' }}
                                </span>
                              </span>
                              <span>
                                <b>
                                  Date of Birth :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.dob }}
                                </span>
                              </span>
                              <span>
                                <b>
                                  Name :
                                  &nbsp;
                                </b>
                                <span>
                                  {{ clientDocumentsData.lastName + ", " + clientDocumentsData.firstName | uppercase }}
                                </span>
                              </span>
                            </span>
                          </div>
                          <app-document [preSelectedDocType]="59"></app-document> 
                          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Previous"
                                matTooltipClass="consent-tooltip" (click)="previousTab()">Previous</button>
                            </div>
                            &nbsp;&nbsp;
                            <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                              <button type="button" mat-raised-button color="primary" matTooltip="Next"
                                matTooltipClass="consent-tooltip" (click)="navigateToDemographics()">Next</button>
                            </div>
                          </div>
                        </form>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </div>
            </ng-template>
          </mat-tab>
        </div>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>